Cards, prop trading & accounting

Get Quick Books Sheet Config

Returns the client's connection sheet settings and per-invoice-type spreadsheet mappings.

GEThttps://api.toku.com/platform/get-quick-books-sheet-config

Required scope: integrations:read

curl --request GET \
  --url 'https://api.toku.com/platform/get-quick-books-sheet-config?clientId=%3CclientId%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "clientId": "string",
  "connection": {
    "id": "string",
    "status": "PENDING_PRECONDITION",
    "dryRun": true,
    "multiCurrencyEnabled": true,
    "journalEntryGroupingMode": "PER_CURRENCY",
    "eorPeoSheetUrl": "string",
    "contractorSheetUrl": "string"
  },
  "spreadsheetMappings": {
    "EOR_PEO": {
      "id": "string",
      "connectionId": "string",
      "invoiceType": "EOR_PEO",
      "columnMappings": {},
      "sheetTabName": "string",
      "headerRowIndex": 0,
      "dataStartRowIndex": 0,
      "employeeNameColumn": "string",
      "countryColumn": "string",
      "currencyColumn": "string",
      "totalGrossColumn": "string",
      "payPeriodColumn": "string",
      "postingAmountSource": "PAYROLL_ONLY",
      "payrollUsdColumn": "string",
      "invoiceUsdColumn": "string",
      "socialSecurityCategoryByCountry": {},
      "jeLineGranularity": "CATEGORY",
      "createdAt": "string",
      "updatedAt": "string"
    },
    "CONTRACTOR": {
      "id": "string",
      "connectionId": "string",
      "invoiceType": "EOR_PEO",
      "columnMappings": {},
      "sheetTabName": "string",
      "headerRowIndex": 0,
      "dataStartRowIndex": 0,
      "employeeNameColumn": "string",
      "countryColumn": "string",
      "currencyColumn": "string",
      "totalGrossColumn": "string",
      "payPeriodColumn": "string",
      "postingAmountSource": "PAYROLL_ONLY",
      "payrollUsdColumn": "string",
      "invoiceUsdColumn": "string",
      "socialSecurityCategoryByCountry": {},
      "jeLineGranularity": "CATEGORY",
      "createdAt": "string",
      "updatedAt": "string"
    },
    "W2_YEAR_END": {
      "id": "string",
      "connectionId": "string",
      "invoiceType": "EOR_PEO",
      "columnMappings": {},
      "sheetTabName": "string",
      "headerRowIndex": 0,
      "dataStartRowIndex": 0,
      "employeeNameColumn": "string",
      "countryColumn": "string",
      "currencyColumn": "string",
      "totalGrossColumn": "string",
      "payPeriodColumn": "string",
      "postingAmountSource": "PAYROLL_ONLY",
      "payrollUsdColumn": "string",
      "invoiceUsdColumn": "string",
      "socialSecurityCategoryByCountry": {},
      "jeLineGranularity": "CATEGORY",
      "createdAt": "string",
      "updatedAt": "string"
    },
    "HRIS_PAYROLL": {
      "id": "string",
      "connectionId": "string",
      "invoiceType": "EOR_PEO",
      "columnMappings": {},
      "sheetTabName": "string",
      "headerRowIndex": 0,
      "dataStartRowIndex": 0,
      "employeeNameColumn": "string",
      "countryColumn": "string",
      "currencyColumn": "string",
      "totalGrossColumn": "string",
      "payPeriodColumn": "string",
      "postingAmountSource": "PAYROLL_ONLY",
      "payrollUsdColumn": "string",
      "invoiceUsdColumn": "string",
      "socialSecurityCategoryByCountry": {},
      "jeLineGranularity": "CATEGORY",
      "createdAt": "string",
      "updatedAt": "string"
    }
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

clientIdstring<uuid>required

Response

200Successful response
clientIdstringrequired
connectionobject | nullrequired
Show child attributes
idstringrequired
statusstringrequired

Available options: PENDING_PRECONDITION, ACTIVE, EXPIRED, DISCONNECTED

dryRunbooleanrequired
multiCurrencyEnabledbooleanrequired
journalEntryGroupingModestringrequired

Available options: PER_CURRENCY, PER_COUNTRY, COMBINED

eorPeoSheetUrlstring | nullrequired
contractorSheetUrlstring | nullrequired
spreadsheetMappingsobjectrequired
Show child attributes
EOR_PEOobject | null
Show child attributes
idstringrequired
connectionIdstringrequired
invoiceTypestringrequired

Available options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL

columnMappingsobjectrequired
sheetTabNamestring | nullrequired
headerRowIndexintegerrequired
dataStartRowIndexintegerrequired
employeeNameColumnstring | nullrequired
countryColumnstringrequired
currencyColumnstringrequired
totalGrossColumnstringrequired
payPeriodColumnstringrequired
postingAmountSourcestringrequired

Available options: PAYROLL_ONLY, PAYROLL_PLUS_FEES

payrollUsdColumnstringrequired
invoiceUsdColumnstringrequired
socialSecurityCategoryByCountryobject | nullrequired
jeLineGranularitystringrequired

Available options: CATEGORY, PER_EMPLOYEE

createdAtstringrequired
updatedAtstringrequired
CONTRACTORobject | null
Show child attributes
idstringrequired
connectionIdstringrequired
invoiceTypestringrequired

Available options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL

columnMappingsobjectrequired
sheetTabNamestring | nullrequired
headerRowIndexintegerrequired
dataStartRowIndexintegerrequired
employeeNameColumnstring | nullrequired
countryColumnstringrequired
currencyColumnstringrequired
totalGrossColumnstringrequired
payPeriodColumnstringrequired
postingAmountSourcestringrequired

Available options: PAYROLL_ONLY, PAYROLL_PLUS_FEES

payrollUsdColumnstringrequired
invoiceUsdColumnstringrequired
socialSecurityCategoryByCountryobject | nullrequired
jeLineGranularitystringrequired

Available options: CATEGORY, PER_EMPLOYEE

createdAtstringrequired
updatedAtstringrequired
W2_YEAR_ENDobject | null
Show child attributes
idstringrequired
connectionIdstringrequired
invoiceTypestringrequired

Available options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL

columnMappingsobjectrequired
sheetTabNamestring | nullrequired
headerRowIndexintegerrequired
dataStartRowIndexintegerrequired
employeeNameColumnstring | nullrequired
countryColumnstringrequired
currencyColumnstringrequired
totalGrossColumnstringrequired
payPeriodColumnstringrequired
postingAmountSourcestringrequired

Available options: PAYROLL_ONLY, PAYROLL_PLUS_FEES

payrollUsdColumnstringrequired
invoiceUsdColumnstringrequired
socialSecurityCategoryByCountryobject | nullrequired
jeLineGranularitystringrequired

Available options: CATEGORY, PER_EMPLOYEE

createdAtstringrequired
updatedAtstringrequired
HRIS_PAYROLLobject | null
Show child attributes
idstringrequired
connectionIdstringrequired
invoiceTypestringrequired

Available options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL

columnMappingsobjectrequired
sheetTabNamestring | nullrequired
headerRowIndexintegerrequired
dataStartRowIndexintegerrequired
employeeNameColumnstring | nullrequired
countryColumnstringrequired
currencyColumnstringrequired
totalGrossColumnstringrequired
payPeriodColumnstringrequired
postingAmountSourcestringrequired

Available options: PAYROLL_ONLY, PAYROLL_PLUS_FEES

payrollUsdColumnstringrequired
invoiceUsdColumnstringrequired
socialSecurityCategoryByCountryobject | nullrequired
jeLineGranularitystringrequired

Available options: CATEGORY, PER_EMPLOYEE

createdAtstringrequired
updatedAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits